<?php
/**
 * Plugin CIWIDGET
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}

include_spip('inc/widget_commun');

/*
 * Extrait l'id du code pour WP
 * Exemple : [slideshare id=52145964&doc=utiliserslideshare-110915042141-phpapp01-150827180910-lva1-app6891]
 */
function ci_slideshare_id($url){
    $return = '';

    if (empty($url)){
        return $return;
    }
    
    $url = str_replace('&#038;','&',$url);
    $url = str_replace('&amp;','&',$url);
    
    $tableau = explode('&',$url);
    if (isset($tableau[0])){
        $tableau2 = explode('=',$tableau[0]);
        if (isset($tableau2[1]) AND intval($tableau2[1])>0){
            $return = intval($tableau2[1]);
        }
    }
    
    return $return;
}

function ci_slideshare_hauteur($largeur){
    
    return round( $largeur * 0.75 ) + 38;
}

?>