<?php
/**
 * Plugin cilien
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

// Fichier local de surcharge du fichier de langue

$GLOBALS[$GLOBALS['idx_lang']] = array(
'cilien_titre' => 'Liste des liens',
'liens_dans_texte' => 'Liste des liens qui figurent dans le texte, le descriptif, etc.',
'liens_dans_texte_article' => 'Liste des liens qui figurent dans le texte (ou le descriptif, etc.) des articles publiés',
'liens_dans_texte_rubrique' => 'Liste des liens qui figurent dans le texte (ou le descriptif, etc.) des rubriques publiées',
'sites_references_publies' => 'Sites référencés publiés',
'recenser_afficher_liens' => 'Recenser et afficher les liens',
'recenser_liens' => 'Recenser les liens',
'afficher_liens' => 'Afficher les liens',
'texte_recenser_liens_ok' => 'Le recensement des liens renseignés manuellement dans le texte (ou le descriptif, etc.) des articles (ou des rubriques) est <b>complet</b>.',
'texte_recenser_liens_okauto' => 'Le recensement des liens renseignés manuellement dans le texte (ou le descriptif, etc.) des articles (ou des rubriques) est <b>complet</b> (suite à un traitement automatique lors du chargement de cette page).',
'texte_recenser_liens_pasok' => 'Le <b>recensement</b> des liens renseignés manuellement dans le texte (ou le descriptif, etc.) des articles (ou des rubriques) est <b>incomplet</b>. Il convient d\'utiliser le <b>bouton [Recenser automatiquement les liens]</b> ci-dessous pour le compléter.<br/><br/>Remarque : une autre approche consiste à utiliser le bouton [Recenser les liens]. Toutefois, cela nécessite de cliquer autant de fois que nécessaire (avec un temps d\'attente d\'environ 10 secondes à chaque fois).',
'texte_avancement_recensement' => 'Le tableau ci-dessous indique l\'avancement du recensement. Si cet avancement est inférieur à 100%, cliquer sur le bouton [Recenser automatiquement les liens].',
'objet'=>'Objet',
'enregistrements_traites'=>'Enregistrements traités',
'texte_afficher_liens_ok' => 'Pour afficher la liste des liens saisis manuellement dans le texte (ou le descriptif, etc.) des articles (ou des rubriques), ainsi que les liens des sites référencés, cliquer sur le bouton [Afficher les liens].',
'texte_afficher_liens_pasok' => 'Une fois le recensement effectué, il sera possible d\'afficher la liste des liens saisis manuellement dans le texte (ou le descriptif, etc.) des articles (ou des rubriques), ainsi que les liens des sites référencés.',
'texte_verifier_liens' => 'Ci-dessous la liste des liens qui ont été renseignés manuellement dans le texte (ou le descriptif, etc.) des articles publiés (ou des rubriques), ainsi que lien liens des sites référencés. Entre parenthèses figurent les numéros d\'articles, de rubriques ou de sites référencés concernés).',
'texte_verifier_liens2' => 'Pour <b>vérifier si ces liens ne sont pas brisés</b>, il convient d\'utiliser un outil de vérification de lien. Par exemple, un module gratuit pour Firefox comme LinkChecker (ou Pinger, etc.). Une fois le module installé (et Firefox redémarré), afficher cette page, puis cliquer sur le menu [Outils] de Firefox, puis cliquer sur le sous menu [Vérifier les liens de la page]. <b>Patientez plusieurs minutes</b> afin qu\'il puisse vérifier chaque lien. Les liens brisés sont alors <span style="background-color: #FFCCCC;">surlignés en rouge</span>, les liens redirigés ou interdits sont <span style="background-color: #FFFFCC;">surlignés en jaune</span>. Les liens corrects sont <span style="background-color: #CCFFCC;">surlignés en vert</span>.',
'retour' => 'Retour',
'sites_references' => 'Sites référencés',
'maj' => 'Liste à jour jusqu\'au',
'listeajour' => '(Liste à jour)',
'aucunrecensement' => 'Aucun recensement n\'a été effectué',
'actualiser' => 'mettre à jour',
'liens_auteur_reestreint' => 'Liste des liens limitée à vos rubriques',
'tous_les_liens' => 'Liste des liens',
'remplacer_liens' => 'Remplacer un lien ou un domaine',
'remplacer_un_lien' => 'Remplacer un lien',
'remplacer_un_domaine' => 'Remplacer un domaine',
'texte_remplacer_liens_ok' => 'Pour remplacer un lien ou bien tous les liens d\'un domaine (par exemple en cas de changement de nom de domaine), cliquer sur le lien [Remplacer un lien ou un domaine].',
'texte_remplacer_liens_pasok' => 'Une fois le recensement effectué, il sera possible de remplacer un lien ou bien tous les liens d\'un domaine (par exemple en cas de changement de nom de domaine).',
'lieninitial' => 'Remplacer ce lien existant dans le site (exemple : http://adresse_du_site/adresse_de_la_page)',
'lienfutur' => 'par ce lien',
'domaineinitial' => 'Remplacer ce domaine existant dans au moins un lien dans le site (exemple : .nom.fr)',
'domainefutur' => 'par ce domaine',
'valeur_incorrecte' => 'Valeur incorrecte',
'lien_existe_pas' => 'Ce lien n\'existe pas dans le site',
'domaine_existe_pas' => 'Ce domaine n\'existe pas dans les liens existants dans le site',
'vider_recensement' => 'Vider le recensement des liens',
'texte_vider_recensement' => 'Permet de recommencer le recensement des liens. C\'est utile par exemple dans le cas d\'une fusion de site. Il suffit de cliquer sur le lien [Vider le recensement des liens].',
'recensement_en_cours' => 'Recensement en cours',
'recenser_liens_auto' => 'Recenser automatiquement les liens',
'attendre' => 'Ce traitement est automatique et peut durer plus de 10 minutes. Vous n\'avez rien à faire. Lorsque le traitement aura atteint 100 %, il retournera à la page initiale.',
);

?>