<?php
/**
 * Plugin Previsualisation etendue
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/meta');

/**
 * Fonction d'installation, mise a jour de la base
 *
 * @param $nom_meta_base_version
 * @param $version_cible
 */
function cipr_upgrade($nom_meta_base_version,$version_cible){
	effacer_meta($nom_meta_base_version);
	ecrire_meta($nom_meta_base_version,$current_version=$version_cible,'non');

	include_spip('inc/invalideur');
	purger_repertoire(_DIR_SKELS);
}

/**
 * Fonction de desinstallation
 *
 * @param $nom_meta_base_version
 */
function cipr_vider_tables($nom_meta_base_version) {
	effacer_meta($nom_meta_base_version);
	
	include_spip('inc/invalideur');
	purger_repertoire(_DIR_SKELS);			
}

?>