<?php
/**
 * Plugin CIWIDGET 
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/ciwidget_inc_style');


function ciwidget_css_portrait(){
    
$return = '/* Widget portrait */

.ciwidget_portrait {
    margin:1rem 0;
    clear: both;
    '.ciwidget_ligne_css('portrait','bloc_background-color').'
    '.ciwidget_ligne_css('portrait','bloc_border-style').'
    '.ciwidget_ligne_css('portrait','bloc_border-color').'
    '.ciwidget_ligne_css('portrait','bloc_border-width').'
    '.ciwidget_ligne_css('portrait','bloc_border-radius').'
    '.ciwidget_ligne_css('portrait','bloc_max-width').'
    '.ciwidget_ligne_css('portrait','bloc_text-align').'
}

.ciwidget_portrait__contenu {
    '.ciwidget_ligne_css('portrait','contenu_padding').'
}

.ciwidget_portrait__surtitre {
    '.ciwidget_ligne_css('portrait','surtitre_font-family').'
    '.ciwidget_ligne_css('portrait','surtitre_font-size').'
    '.ciwidget_ligne_css('portrait','surtitre_line-height').'
    '.ciwidget_ligne_css('portrait','surtitre_font-weight').'
    '.ciwidget_ligne_css('portrait','surtitre_padding').'
    '.ciwidget_ligne_css('portrait','surtitre_margin').'
}

.ciwidget_portrait__personne {
    '.ciwidget_ligne_css('portrait','personne_padding').'
}

.ciwidget_portrait__nom {
    '.ciwidget_ligne_css('portrait','nom_font-family').'
    '.ciwidget_ligne_css('portrait','nom_font-size').'
    '.ciwidget_ligne_css('portrait','nom_line-height').'
    '.ciwidget_ligne_css('portrait','nom_font-weight').'
    '.ciwidget_ligne_css('portrait','nom_padding').'
    '.ciwidget_ligne_css('portrait','nom_margin').'
}

.ciwidget_portrait__fonction {
    '.ciwidget_ligne_css('portrait','fonction_font-family').'
    '.ciwidget_ligne_css('portrait','fonction_font-size').'
    '.ciwidget_ligne_css('portrait','fonction_line-height').'
    '.ciwidget_ligne_css('portrait','fonction_font-weight').'
    '.ciwidget_ligne_css('portrait','fonction_padding').'
}

.ciwidget_portrait__organisation_nom {
    '.ciwidget_ligne_css('portrait','organisationnom_font-family').'
    '.ciwidget_ligne_css('portrait','organisationnom_font-size').'
    '.ciwidget_ligne_css('portrait','organisationnom_line-height').'
    '.ciwidget_ligne_css('portrait','organisationnom_font-weight').'
    '.ciwidget_ligne_css('portrait','organisationnom_padding').'
}

.ciwidget_portrait__organisation_siteweb {
    '.ciwidget_ligne_css('portrait','organisationsiteweb_font-family').'
    '.ciwidget_ligne_css('portrait','organisationsiteweb_font-size').'
    '.ciwidget_ligne_css('portrait','organisationsiteweb_line-height').'
    '.ciwidget_ligne_css('portrait','organisationsiteweb_font-weight').'
    '.ciwidget_ligne_css('portrait','organisationsiteweb_padding').'
}

.ciwidget_portrait__texte {
    '.ciwidget_ligne_css('portrait','texte_font-family').'
    '.ciwidget_ligne_css('portrait','texte_font-size').'
    '.ciwidget_ligne_css('portrait','texte_line-height').'
    '.ciwidget_ligne_css('portrait','texte_font-weight').'
    '.ciwidget_ligne_css('portrait','texte_font-style').'
    '.ciwidget_ligne_css('portrait','texte_padding').'
}

.ciwidget_portrait__image {
    text-align: center;
    '.ciwidget_ligne_css('portrait','image_padding').'
}

.ciwidget_portrait__image img {
    '.ciwidget_ligne_css('portrait','image_max-width').'
}

.ciwidget_portrait__image figcaption {
    '.ciwidget_ligne_css('portrait','creditphoto_font-family').'
    '.ciwidget_ligne_css('portrait','creditphoto_font-size').'
    '.ciwidget_ligne_css('portrait','creditphoto_line-height').'
    '.ciwidget_ligne_css('portrait','creditphoto_font-weight').'
    '.ciwidget_ligne_css('portrait','creditphoto_font-style').'
    '.ciwidget_ligne_css('portrait','creditphoto_padding').'
}

';

if (ciwidget_lire_meta_cle('portrait','affichericone')=='oui'){
$return .= '
.ciwidget_portrait__surtitre:before {
    display: inline-block;
    vertical-align: bottom;
    -webkit-mask-image:url(data:image/svg+xml;base64,'.ciwidget_valeur_mask_image('portrait','icone1_mask-image').');
    mask-image:url(data:image/svg+xml;base64,'.ciwidget_valeur_mask_image('portrait','icone1_mask-image').');
    -webkit-mask-size:100% 100%;
    mask-size:100% 100%;
    height:'.ciwidget_valeur_css('portrait','icone1_icon-size').';
    width:'.ciwidget_valeur_css('portrait','icone1_icon-size').';
    content:"";
    '.ciwidget_ligne_css('portrait','icone1_color','icone1_background-color').'
}
';
}

$return .= '

@media (min-width: 48em) {

    .ciwidget_portrait {
        display: flex;
        flex-wrap: wrap;
    }

    .ciwidget_portrait__image {
        padding-left: 0;
        '.ciwidget_ligne_css('portrait','image_max-width','width').'
    }

    .ciwidget_portrait__contenu {
        flex: 1;
        order: -1;
    }

}
';
    
    return $return;
}

?>