<?php
/**
 * Plugin CIWIDGET
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

$GLOBALS[$GLOBALS['idx_lang']] = array(

'info_widgets' => 'Widgets', 
'widget' => 'Widget', 
'leswidgets' => 'Les widgets', 
'type_widget' => 'Type de widget', 
'ajouter_widget' => 'Ajouter un widget',
'choisir_widget' => 'Choisir un widget',    
'info_clic_widget' => 'Cliquer sur un widget pour le configurer puis l\'ajouter à l\'article.',
'ouvre_fenetre' => 'ouverture nouvelle fenêtre',
    
'explications' => 'Explications',
'voir_explication' => 'Afficher les explications',    
'masquer_explication' => 'Masquer les explications',    
'afficher_masquer_explications' => 'Afficher / masquer les explications',    
'valeur_incorrecte' => 'Valeur incorrecte',
'valeur_min' => 'Valeur minimale',
'valeur_max' => 'Valeur maximale',
'bouton_enlever_supprimer_widget_confirmation' => 'Êtes-vous sûr de vouloir supprimer le widget ?',
'poidsmax' => 'Attention : Le poids du fichier doit &ecirc;tre inf&eacute;rieur &agrave;',
'erreur_debit_video' => 'La vidéo a un débit de @debit@ Kb/s qui est supérieur au débit maximal autorisé de @debit_video_max@ Kb/s',
'erreur_format_video' => 'Les formats autorisés pour les vidéos sont : @format_video_autorise@.',
'erreur_format_image' => 'Les formats autorisés pour les images sont : @format_image_autorise@.',

'info_titre' => '<b>Titre</b> [Obligatoire]',
'info_url' => '<b>Adresse</b> [Obligatoire]',
'info_url_vignette' => 'Adresse de la vignette',
'info_adresse' => 'Adresse',
'info_fichier' => 'Fichier',
'duree' => 'vidéo, durée',
'info_duree' => '<b>Durée de la vidéo</b> au format hh:mm:ss [Obligatoire]',
'info_description' => 'Description',
'info_transcription_textuelle' => 'Transcription textuelle',
'info_transcription_textuelle_obligatoire' => '<b>Transcription textuelle</b> [Obligatoire]',

'info_conversation' => 'Si ce Tweet répond à un autre Tweet, montrer aussi cet autre Tweet',
'info_loop' => 'Tourne en boucle',
'info_autoplay' => 'Démarre automatiquement',
'info_referencer_video_distante' => '<b>Adresse de la vidéo</b> [Obligatoire]',
'url_incorrecte'=>'URL incorrecte',
    
'info_largeur' => '<b>Largeur</b> maximale en pixels [Obligatoire]',
'info_hauteur' => '<b>Hauteur</b> maximale en pixels [Obligatoire]',
'info_largeur_facultative' => 'Largeur maximale en pixels',
'info_hauteur_facultative' => 'Hauteur maximale en pixels',

'voir_version_texte' => 'Voir la version texte',
'masquer_version_texte' => 'Masquer la version texte',
'voir_plein_ecran' => 'Voir en plein écran',
'js_nouvelle_fenetre' => '(nouvelle fenetre)',

'widget_video_format' => 'Formats autorisés pour la vidéo : @format_video_autorise@',
'widget_video_codec_mp4' => 'Codec recommandé pour les vidéos au format mp4 : H264',
'widget_video_debit_recommandation' => 'Recommandation pour le débit maximal de la vidéo (avec audio) : 512 Kb/s',
'widget_video_debit_max' => 'Débit maximal autorisé pour la vidéo (avec audio) : @debit_video_max@ Kb/s',
'lien_video1' => 'Pour voir cette vidéo, utilisez un navigateur compatible avec la balise video de HTML5, ou bien utilisez ce',
'lien_video2' => 'lien vers la vidéo',
    
'widget_video_titre' => 'Vidéo',
'widget_video_descriptif' => 'Pour téléverser une vidéo',
'widget_video_explication' => 'Après avoir cliqué sur le bouton Enregistrer, ce nouveau widget figure dans la liste des widgets attachés à l\'article. Il est possible de le modifier, etc.'
    . '<br>Dans la page de modification de l\'article, les raccourcis &lt;widget_video...|left&gt;, &lt;widget_video...|center&gt; et &lt;widget_video...|right&gt; sont alors proposés.'
    . ' Cliquer dans le texte de l\'article à l\'endroit où l\'on veut insérer le widget puis effectuer un double clic par exemple sur le raccourci &lt;widget_video...|center&gt; (il est également possible de copier / coller le raccourci).',
    
'widget_videodistante_titre' => 'Vidéo distante',
'widget_videodistante_descriptif' => 'Pour référencer une vidéo qui est sur un autre site (qui permet de déposer des fichiers volumineux par exemple)',
'widget_videodistante_explication' => 'Après avoir cliqué sur le bouton Enregistrer, ce nouveau widget figure dans la liste des widgets attachés à l\'article. Il est possible de le modifier, etc.'
    . '<br>Dans la page de modification de l\'article, les raccourcis &lt;widget_videodistante...|left&gt;, &lt;widget_videodistante...|center&gt; et &lt;widget_videodistante...|right&gt; sont alors proposés.'
    . ' Cliquer dans le texte de l\'article à l\'endroit où l\'on veut insérer le widget puis effectuer un double clic par exemple sur le raccourci &lt;widget_videodistante...|center&gt; (il est également possible de copier / coller le raccourci).',

'widget_videoterra_titre' => 'Vidéo de Terra',
'widget_videoterra_descriptif' => 'Pour ajouter une vidéo de Terra',
'widget_videoterra_explication' => 'Comment trouver le code d\'intégration de la vidéo souhaitée, par exemple :<br><b>&lt;iframe width=\'640\' height=\'360\' src=\'https://terra.developpement-durable.gouv.fr/LaMediatheque-Video/embed/370164\' frameborder=\'0\' allowfullscreen&gt;&lt;/iframe&gt;</b> (le code d\'intégration peut contenir /embed/public/ au lieu de /embed/)'
    . '<br><br>Chercher, sur le site terra.developpement-durable.gouv.fr, la vidéo souhaitée.'
    . '<br>Cliquer sur l\'icône "Informations" située sous la vidéo pour afficher la page de cette vidéo.'
    . '<br>Ensuite cliquer sur l\'icône "Intégrer" (&lt;/&gt;) située sous la vidéo.'
    . '<br>Faire un clic droit sur le code HTML qui s\'affiche et cliquer sur "Copier".'
    . '<br>Coller ensuite ce code dans le champ code du présent formulaire.'
    . '<br><br>Remarques :'
    . '<br>- Il est indispensable de renseigner le titre pour retrouver ce widget.'
    . '<br>- Si le champ de ce formulaire, intitulé "Transcription textuelle", est renseigné, alors un bouton "Voir la version texte" est automatiquement affiché sous la vidéo. Il permet d\'afficher (ou de masquer) la transcription textuelle.'
    . '<br>- Après avoir cliqué sur le bouton Enregistrer, ce nouveau widget figure dans la liste des widgets attachés à l\'article. Il est possible de le modifier, etc.'
    . '<br>- Dans la page de modification de l\'article, les raccourcis &lt;widget_videoterra...|left&gt;, &lt;widget_videoterra...|center&gt; et &lt;widget_videoterra...|right&gt; sont alors proposés.'
    . ' Cliquer dans le texte de l\'article à l\'endroit où l\'on veut insérer le widget puis effectuer un double clic par exemple sur le raccourci &lt;widget_videoterra...|center&gt; (il est également possible de copier / coller le raccourci).',
'info_code_terra' => '<b>Code de Terra</b> [Obligatoire]<br>(cf. lien "Afficher les explications")',

    
'widget_dailymotion_titre' => 'Vidéo de Dailymotion',
'widget_dailymotion_descriptif' => 'Pour ajouter une vidéo de Dailymotion',
'widget_dailymotion_explication' => 'Comment trouver l\'adresse de la vidéo souhaitée (par <b>exemple : https://www.dailymotion.com/video/x25axu2</b>) :'
    . '<br>Chercher sur le site de Dailymotion la vidéo souhaitée puis afficher la page de cette vidéo.'
    . ' Copier l\'adresse de la page de cette vidéo, qui figure dans la barre d\'adresse du navigateur'
    . ' (ou bien cliquer sur le bouton Partager puis sur Copy link).'
    . ' Coller ensuite cette adresse dans le champ adresse du présent formulaire.'
    . '<br><br><b>Playlist</b> : A la fin de la lecture de la vidéo, Dailymotion propose une liste d\'autres vidéos. Il est désormais possible de personnaliser cette liste en indiquant une playlist (par <b>exemple : x6rp12</b>)'
    . '<br>Pour trouver une playlist, utiliser la case Recherche sur le site de Dailymotion (en tapant par exemple : ministère écologie),' 
    . ' cliquer ensuite sur l\'onglet playlist (dans la page des résultats de la recherche), puis cliquer sur la playlist souhaitée (exemple : Les campagnes du ministère).'
    . '<br>Copier l\'identifiant de la playlist, qui figure à la fin de l\'adresse dans la barre d\'adresse du navigateur (exemple : x6rp12)'
    . '<br>Coller ensuite l\'identifiant dans le champ \'Identifiant de la playlist\' du présent formulaire.'
    . '<br><br>Remarques :'
    . '<br>- Il est indispensable de renseigner le titre pour retrouver ce widget (par exemple : L\'éléphant de Nantes).'
    . '<br>- Si le champ de ce formulaire, intitulé "Transcription textuelle", est renseigné, alors un bouton "Voir la version texte" est automatiquement affiché sous la vidéo. Il permet d\'afficher (ou de masquer) la transcription textuelle.'
    . '<br>- Après avoir cliqué sur le bouton Enregistrer, ce nouveau widget figure dans la liste des widgets attachés à l\'article. Il est possible de le modifier, etc.'
    . '<br>- Dans la page de modification de l\'article, les raccourcis &lt;widget_dailymotion...|left&gt;, &lt;widget_dailymotion...|center&gt; et &lt;widget_dailymotion...|right&gt; sont alors proposés.'
    . ' Cliquer dans le texte de l\'article à l\'endroit où l\'on veut insérer le widget puis effectuer un double clic par exemple sur le raccourci &lt;widget_dailymotion...|center&gt; (il est également possible de copier / coller le raccourci).',
'info_playlist' => 'Identifiant de la playlist (cliquez sur "Afficher les explications")',
'playlist_defaut' => 'Identifiant de la playlist par défaut',
    
'widget_youtube_titre' => 'Vidéo de Youtube',
'widget_youtube_descriptif' => 'Pour ajouter une vidéo de Youtube',
'widget_youtube_explication' => 'Comment trouver l\'adresse de la vidéo souhaitée (par <b>exemple : https://www.youtube.com/watch?v=-KKkioBmwN4</b>) :'
    . '<br>Chercher sur le site de Youtube la vidéo souhaitée puis afficher la page de cette vidéo.'
    . ' Copier l\'adresse de la page de cette vidéo, qui figure dans la barre d\'adresse du navigateur.'
    . ' Coller ensuite cette adresse dans le champ adresse du présent formulaire.'
    . '<br><br>Remarques :'
    . '<br>- Il est indispensable de renseigner le titre pour retrouver ce widget (par exemple : L\'éléphant de Nantes).'
    . '<br>- Si le champ de ce formulaire, intitulé "Transcription textuelle", est renseigné, alors un bouton "Voir la version texte" est automatiquement affiché sous la vidéo. Il permet d\'afficher (ou de masquer) la transcription textuelle.'
    . '<br>- Après avoir cliqué sur le bouton Enregistrer, ce nouveau widget figure dans la liste des widgets attachés à l\'article. Il est possible de le modifier, etc.'
    . '<br>- Dans la page de modification de l\'article, les raccourcis &lt;widget_youtube...|left&gt;, &lt;widget_youtube...|center&gt; et &lt;widget_youtube...|right&gt; sont alors proposés.'
    . ' Cliquer dans le texte de l\'article à l\'endroit où l\'on veut insérer le widget puis effectuer un double clic par exemple sur le raccourci &lt;widget_youtube...|center&gt; (il est également possible de copier / coller le raccourci).',

    
'widget_streamhls_titre' => 'Vidéo en streaming (HLS)',
'widget_streamhls_descriptif' => 'Pour ajouter une vidéo en streaming (HLS)',
'widget_streamhls_explication' => 'Il est nécessaire de connaître l\'adresse du fichier d\'index (dont l\'extension est m3u8) de la vidéo en streaming (<b>exemple : http://monsite/dossier/fichier_index.m3u8</b>)'
    . '<br>Il est intéressant de connaître l\'adresse de sa vignette (au format jpeg, png ou gif).'
    . '<br>'
    . '<br>Une vidéo en streaming est une vidéo découpée en plusieurs fichiers de courte durée (quelques secondes) avec un fichier d’index (dont l\'extension est m3u8) qui liste ces fichiers et leur durée.'
    . '<br>Le streaming est intéressant pour les vidéos très consultées. Par exemple, si on regarde les 3 premières minutes, d\'une vidéo de 18 minutes, seules les 3 premières minutes sont téléchargées (et non pas la totalité de la vidéo).'
    . '<br>'
    . '<br>Format de la vidéo : MP4 (H264)'
    . '<br>Recommandation pour le débit maximal de la vidéo (avec audio) : 512 Kb/s'
    . '<br>Protocole de streaming utilisé : HLS'
    . '<br>'
    . '<br>Exemple de démarche pour obtenir une vidéo en streaming :'
    . '<br>a) Convertir la vidéo en MP4 (H.264) en respectant le débit'
    . '<br>b) Découper la vidéo en plusieurs fichiers de courte durée (par exemple avec FFmpeg sous windows)'
    . '<br>Exemple de syntaxe : ffmpeg -y -i ma_video.mp4 -hls_time 10 -hls_segment_filename "output/fileSeq%d.ts" -hls_playlist_type vod output/fichier_index.m3u8'
    . '<br>c) Déposer les fichiers obtenus (les fichiers *.ts et le fichier d\'index *.m3u8) dans un dossier d\'un serveur web (HTTP) qui est dans le même domaine ou bien qui autorise les requêtes multiorigines.'
    . '<br><br>Remarques :'
    . '<br>- Après avoir cliqué sur le bouton Enregistrer, ce nouveau widget figure dans la liste des widgets attachés à l\'article. Il est possible de le modifier, etc.'
    . '<br>- Dans la page de modification de l\'article, les raccourcis &lt;widget_streamhls...|left&gt;, &lt;widget_streamhls...|center&gt; et &lt;widget_streamhls...|right&gt; sont alors proposés.'
    . ' Cliquer dans le texte de l\'article à l\'endroit où l\'on veut insérer le widget puis effectuer un double clic par exemple sur le raccourci &lt;widget_streamhls...|center&gt; (il est également possible de copier / coller le raccourci).'
    . '<div class="notice">Un article peut contenir plusieurs widgets streaming HLS. En revanche, un article ne peut pas contenir un widget vidéo (pas en streaming) et un widget streaming HLS.</div>',
    
    
'widget_twitter_titre' => 'Un fil d\'information issu de Twitter',
'widget_twitter_descriptif' => 'Pour ajouter un fil d\'information de Twitter',
'widget_twitter_explication' => 'Comment trouver l\'adresse du compte Twitter souhaité (par <b>exemple : https://twitter.com/nantestourisme</b> ou bien <b>https://x.com/nantestourisme</b>) :'
    . '<br>Le plus simple est de chercher, dans un moteur de recherche, les mots Twitter et le mot qui correspond au compte (par exemple : Nantes).'
    . ' Dans la liste des résultats de la recherche, cliquer sur le résultat souhaité.'
    . ' Vérifier que la page qui s\'affiche correspond au compte souhaité, puis copier l\'adresse de cette page (celle qui figure dans la barre d\'adresse du navigateur).'
    . ' Coller ensuite cette adresse dans le champ adresse du présent formulaire.'
    . '<br><br>Remarques :'
    . '<br>- Il est indispensable de renseigner le titre pour retrouver ce widget (par exemple : Tourisme à Nantes sur Twitter).'
    . ' Le champ description est facultatif. A noter que les champs titre et description ne seront pas affichés sur le site public.'
    . '<br>- Après avoir cliqué sur le bouton Enregistrer, ce nouveau widget figure dans la liste des widgets attachés à l\'article. Il est possible de le modifier, etc.'
    . '<br>- Dans la page de modification de l\'article, les raccourcis &lt;widget_twitter...|left&gt;, &lt;widget_twitter...|center&gt; et &lt;widget_twitter...|right&gt; sont alors proposés.'
    . ' Cliquer dans le texte de l\'article à l\'endroit où l\'on veut insérer le widget puis effectuer un double clic par exemple sur le raccourci &lt;widget_twitter...|center&gt; (il est également possible de copier / coller le raccourci).',
    
'widget_tweet_titre' => 'Un Tweet issu de Twitter',
'widget_tweet_descriptif' => 'Pour ajouter un Tweet',
'widget_tweet_explication' => 'Comment trouver l\'adresse du tweet souhaité (par <b>exemple : https://twitter.com/nantestourisme/status/1043146101409374209</b> ou bien <b>https://x.com/nantestourisme/status/1043146101409374209</b>) :'
    . '<br>Afficher dans votre navigateur la page du Tweet dont vous souhaitez obtenir l\'adresse.'
    . ' Copier l\'adresse de cette page (celle qui figure dans la barre d\'adresse du navigateur).'
    . ' Coller ensuite cette adresse dans le champ adresse du présent formulaire.'
    . '<br><br>Remarques :'
    . '<br>- Il est indispensable de renseigner le titre pour retrouver ce widget (par exemple : Micr\'home à Nantes).'
    . ' Le champ description est facultatif. A noter que les champs titre et description ne seront pas affichés sur le site public.'
    . '<br>- Après avoir cliqué sur le bouton Enregistrer, ce nouveau widget figure dans la liste des widgets attachés à l\'article. Il est possible de le modifier, etc.'
    . '<br>- Dans la page de modification de l\'article, les raccourcis &lt;widget_tweet...|left&gt;, &lt;widget_tweet...|center&gt; et &lt;widget_tweet...|right&gt; sont alors proposés.'
    . ' Cliquer dans le texte de l\'article à l\'endroit où l\'on veut insérer le widget puis effectuer un double clic par exemple sur le raccourci &lt;widget_tweet...|center&gt; (il est également possible de copier / coller le raccourci).',

    
'widget_infographie_titre' => 'Infographie',
'widget_infographie_descriptif' => 'Pour téléverser une image porteuse d\'informations',
'widget_infographie_explication' => 'Un bouton "Voir la version texte" sera automatiquement affiché sous l\'infographie.<br>Il permet d\'afficher (ou de masquer) la transcription textuelle.'
    . '<br><br>Remarques :'
    . '<br>- Après avoir cliqué sur le bouton Enregistrer, ce nouveau widget figure dans la liste des widgets attachés à l\'article. Il est possible de le modifier, etc.'
    . '<br>- Dans la page de modification de l\'article, les raccourcis &lt;widget_infographie...|left&gt;, &lt;widget_infographie...|center&gt; et &lt;widget_infographie...|right&gt; sont alors proposés.'
    . ' Cliquer dans le texte de l\'article à l\'endroit où l\'on veut insérer le widget puis effectuer un double clic par exemple sur le raccourci &lt;widget_infographie...|center&gt; (il est également possible de copier / coller le raccourci).',
'widget_image_format' => 'Formats autorisés : @format_image_autorise@',
'image_grand_format' => 'en grand format (nouvelle fen&ecirc;tre)',
    
'widget_graphique_titre' => 'Graphique',
'widget_graphique_descriptif' => 'Pour créer un graphique (colonnes, barres, lignes, secteurs, anneau, radar, etc.)',
'widget_graphique_modification' => 'Modifier le graphique',
'widget_graphique_modifier_explication'=> 'Cliquer sur l\'un des liens "Modifier ...".'
. '<br><br>Il convient de cliquer sur le bouton "Enregistrer les modifications" lorsque toutes les modifications ont été effectuées.',
'config_graphique' => 'Configurer les graphiques',
    
'widget_graphique_etape1' => 'Type de graphique',
'widget_graphique_etape2' => 'Titre et descriptif',
'widget_graphique_etape3' => 'Données du graphique',
'widget_graphique_etape4' => 'Configurer le graphique',
'widget_graphique_modifier_etape1' => 'Modifier le type de graphique',
'widget_graphique_modifier_etape2' => 'Modifier le titre, le descriptif',
'widget_graphique_modifier_etape3' => 'Modifier les données du graphique',
'widget_graphique_modifier_etape4' => 'Modifier la configuration du graphique',
    
'widget_graphique_bar' => 'Colonnes',
'widget_graphique_bar_moyenne' => 'Colonnes et tendance',
'widget_graphique_bar_stacked' => 'Colonnes empilées',
'widget_graphique_bar_stacked_moyenne' => 'Col. empilées et tendance',
'widget_graphique_horizontalBar' => 'Barres',
'widget_graphique_horizontalBar_stacked' => 'Barres empilées',
'widget_graphique_line' => 'Lignes',
'widget_graphique_pie' => 'Secteurs',
'widget_graphique_doughnut' => 'Anneau',
'widget_graphique_radar' => 'Radar',
'widget_graphique_form1' => 'Choisir un type de graphique',
'widget_graphique_form2' => 'Renseigner le titre voire la description, etc.',
'widget_graphique_form3' => 'Données du graphique',
'widget_graphique_form4' => 'Importer un fichier au format CSV ou XLSX (Excel 2007 et plus)',
'widget_graphique_form5' => 'Importer les données depuis une adresse (format CSV ou XLSX)',
'widget_graphique_form6' => 'Importer automatiquement à une fréquence choisie (format CSV ou XLSX)',
'widget_graphique_form8' => 'Configurer le graphique',

'widget_graphique_explication_form1' => 'Cliquer sur le titre (ou l\'image) du type de graphique souhaité, puis cliquer sur le bouton [Suivant].',    
'widget_graphique_explication_form2' => 'Il est indispensable de renseigner le titre.',    
'widget_graphique_explication_form3' => 'Il est possible de :'
    . '<br>- Copier les données du tableau ouvert dans votre tableur (Excel, LibreOffice, etc.). Ensuite, cliquer dans la <b>première case</b> du tableau (A1) puis coller les données (utiliser le menu Edition / Coller du navigateur OU BIEN presser en même temps les touches Ctrl et V).'
    . '<br>- Saisir les données dans le tableau.'
    . '<br>- Modifier les données du tableau.'
    . '<br>- Importer des données en cliquant sur "Importer".'
    . '<br><br>Dans le tableau :'
    . '<br>- Un clic droit, sur un en-tête de colonne, affiche le menu contextuel qui permet d\'ajouter ou de supprimer une colonne.'
    . '<br>- Un clic droit, sur une ligne, affiche le menu contextuel qui permet d\'ajouter ou de supprimer une ligne.'
    . '<br>- Il est possible de modifier la largeur d\'une colonne comme dans un tableur.'
    . '<br>- Une virgule sera automatiquement transformée en point (car l\'utilisation de la virgule est interdite).'
    . '<br>- Les caractères spéciaux autorisés dans le tableau sont : _ - \' . : / @'    
    . '<br><br>Les deux images ci-dessous illustrent des séries de données en colonne ou en ligne (elles illustrent également le cas où la première ligne contient les en-têtes des colonnes et la première colonne contient les en-têtes des lignes).<br><br>',    
'widget_graphique_explication_form4' => 'Formats de fichier acceptés : CSV ou XLSX (Excel 2007 et plus)'
    . '<br><br>Le tableau peut contenir des lettres, des chiffres, des espaces, ainsi que les caractères  _  -  \'  .  :  / @ '
    . '<br>Si une cellule du tableau contient un caractère non autorisé, le contenu de la cellule sera effacé lors de l\'importation.',    
'widget_graphique_explication_form5' => 'L\'adresse peut être :<br>- celle d\'un fichier au format CSV ou XLSX (Excel 2007 et plus)<br>- ou bien celle d\'une page qui génère un fichier (dans ce cas le type MIME doit correspondre au format CSV ou XLSX).'
    . '<br><br>Le tableau peut contenir des lettres, des chiffres, des espaces, ainsi que les caractères  _  -  \'  .  :  / @ '
    . '<br>Si une cellule du tableau contient un caractère non autorisé, le contenu de la cellule sera effacé lors de l\'importation.',    
'widget_graphique_explication_form6' => 'L\'adresse peut être :<br>- celle d\'un fichier au format CSV ou XLSX (Excel 2007 et plus)<br>- ou bien celle d\'une page qui génère un fichier (dans ce cas le type MIME doit correspondre au format CSV ou XLSX).'
    . '<br><br>Le tableau peut contenir des lettres, des chiffres, des espaces, ainsi que les caractères  _  -  \'  .  :  / @ '
    . '<br>Si une cellule du tableau contient un caractère non autorisé, le contenu de la cellule sera effacé lors de l\'importation.'
    . '<br><br>Lors de la création de l\'import automatique, il convient (le cas échéant) de cocher la case "Oui" de "Importer maintenant".'
    . '<br><br><b>Attention</b> : Pour éviter un temps d\'attente trop long pour l\'utilisateur (qui consulte le graphique sur le site public) et pour pallier au cas où l\'appel de l\'adresse échoue, l\'interrogation de l\'adresse est effectuée après le calcul du graphique. Le graphique sera donc mis à jour après le délai entre deux importations, plus le temps réel passé par l\'article dans le cache (par défaut, la durée de mise en cache d\'un article est de 24 heures).'
    . '<br><br>Remarque : L\'importation automatique n\'est pas compatible avec la génération automatique d\'une image alternative pour le graphique.',    
'widget_graphique_explication_form8' => 'Lorsque l\'on modifie un paramétre du graphique, la <b>prévisualisation</b> du graphique est automatiquement actualisée.
Cela permet de voir l\'impact de chaque paramètre.'
    . '<br><br>Il est possible de <b>pré renseigner la configuration</b> du graphique à partir d\'un graphique existant. Ceci évite des saisies.'
    . '<br><br>La liste des paramètres peut varier selon le type de graphique.'
    . '<br><br>Pour la <b>compréhension du graphique</b>, il convient de renseigner les informations suivantes :'
    . '<br>- Titre de l\'axe horizontal'
    . '<br>- Titre de l\'axe vertical'
    . '<br>- Unité lors de l\'affichage au survol'
    . '<br><br>Pour la <b>lisibilité du graphique</b>, il est possible d\'indiquer les valeurs suivantes :'
    . '<br>- Valeur minimum de l\'axe vertical (automatique si non renseignée)'
    . '<br>- Valeur maximum de l\'axe vertical (automatique si non renseignée)'
    . '<br>- Nombre maximal de libellés sur l\'axe horizontal (automatique si non renseigné)'
    . '<br>- Nombre maximal de libellés sur l\'axe vertical (automatique si non renseigné)'
    . '<br><br>Remarques : '
    . '<br>- L\'unité peut être indiquée dans le titre d\'un axe.'
    . '<br>- L\'unité peut figurer dans la légende, en l\'indiquant dans les en-têtes de colonnes (ou de ligne) du tableau des données.'
    . '<br>- Le séparateur décimal est le point.'
    . '<br>- Pour masquer les points d\'une série d\'un graphique de type "Ligne", il convient de sélectionner "Aucun point" pour la série dans le "Style des points".',
    
'telecherger_donnees_graphique' => 'Télécharger les données du graphique au format :',
'widget_graphique_info_form3' => 'Vous pouvez saisir ou modifier les données dans le tableau, <b>copier / coller</b> les données depuis un tableur (Excel, LibreOffice, etc.), <b>importer</b> les données en cliquant sur "Importer" ci-dessus. Pour en savoir plus, cliquez sur "Afficher les explications".',
'info_autre_auteur_edite' => '@nom_auteur_modif@ a ouvert la page de modification de ce widget, il y a @date_diff@ minutes. Vous risquez d\'écraser les modifications que cet auteur est en train de faire.',
'info_meme_auteur_edite' => 'Vous (@nom_auteur_modif@) avez ouvert la page de modification de ce widget, il y a @date_diff@ minutes. Si vous avez ouvert la page de modification de ce widget dans un autre onglet du navigateur (ou une autre fenêtre ou un autre navigateur), fermer cet autre onglet (ou cette une autre fenêtre ou cet autre navigateur).', 
    
'bouton_importer' => 'Importer',
'voir_importer' => 'Importer',
'masquer_importer' => 'Fermer',
'serie_colonne_ou_ligne' => 'Dans le tableau (pour en savoir plus, cliquez sur "Afficher les explications")',
'serie_colonne_defaut' => 'Par défaut, les séries de données sont en colonne ou en ligne ?',
'serie_en_colonne' => 'Une colonne du tableau correspond à une série de données',    
'serie_en_ligne' => 'Une ligne du tableau correspond à une série de données', 
'entete_colonne' => 'La première ligne contient les en-têtes des colonnes',
'entete_ligne' => 'La première colonne contient les en-têtes des lignes',
'retour' => 'Retour',    
'retour_menu' => 'Suivant',    
'retour_vers_article' => 'Retour à l\'article',
'enregistrer_modification' => 'Enregistrer les modifications',    
'annuler' => 'Annuler',    
'annuler_modification' => 'Annuler',    
'modifications_non_enregistrees' => 'Il convient de cliquer sur le bouton "Enregistrer les modifications" lorsque toutes les modifications ont été effectuées.', 
'acces_concurent' => 'Accès concurrent : le widget a été modifié entre temps. Vous risquez d\'écraser les modifications apportées entre temps.',
'precedent' => 'Précédent',
'suivant' => 'Suivant',
'virgule_interdite' => 'L\'utilisation de la virgule est interdite.',    
'caracteres_autorises' => 'Les caractères spéciaux autorisés sont : _ - \' . : / @ % $ ( )',    
'caracteres_autorises_data' => 'Les caractères spéciaux autorisés sont : _ - \' . : / @ ( )',    
'previsualisation_graphique' => 'Prévisualisation du graphique',
'previsualisation_graphique_actualisee' => 'Prévisualisation du graphique (actualisée à chaque modification de paramètre)',
'largeur_max_pixel' => 'Largeur maximale en pixels [Obligatoire]',
'largeur_defaut_pixel' => 'Largeur par défaut en pixels [Obligatoire]',
'aspect_ratio' => 'Ratio largeur/hauteur [Obligatoire]',    
'aspect_ratio_defaut' => 'Ratio largeur/hauteur par défaut [Obligatoire]',    
'legend_display' => 'Afficher la légende',
'legend_position' => 'Position de la légende',
'legend_align' => 'Alignement de la légende',
'legend_reverse' => 'Inverser les séries dans la légende',
'top' => 'haut',
'left' => 'gauche',
'bottom' => 'bas',
'right' => 'droite',
'start' => 'gauche',
'center' => 'centre',
'end' => 'droite',
'legende' => 'Légende',
'axe_x' => 'Axe horizontal',
'axe_y' => 'Axe vertical',
'xAxes_rotation' => 'Rotation automatique des libellés',
'xAxes_gridLines_display' => 'Afficher les lignes',
'xAxes_labelString' => 'Titre de l\'axe horizontal',    
'xAxes_maxTicksLimit' => 'Nombre maximal de libellés sur l\'axe horizontal (automatique si non renseigné)',
'xAxes_suggestedMin' => 'Valeur minimum de l\'axe<br>(automatique si non renseignée)',    
'xAxes_suggestedMax' => 'Valeur maximum de l\'axe<br>(automatique si non renseignée)',    
'xAxes_titre' => 'Titre de l\'axe horizontal',
'yAxes_gridLines_display' => 'Afficher les lignes',
'yAxes_labelString' => 'Titre de l\'axe vertical (possibilité de retour à la ligne, avec un maximum de 2 lignes)',    
'yAxes_maxTicksLimit' => 'Nombre maximal de libellés sur l\'axe vertical (automatique si non renseigné)',
'yAxes_titre' => 'Titre de l\'axe vertical',
'yAxes_unite' => 'Unité lors de l\'affichage au survol',
'yAxes_suggestedMin' => 'Valeur minimum de l\'axe<br>(automatique si non renseignée)',    
'yAxes_suggestedMax' => 'Valeur maximum de l\'axe<br>(automatique si non renseignée)',    
'yAxes_stacked' => 'Barres empilées',
'axe_suggestedMin' => 'Valeur minimum de l\'axe (automatique si non renseignée)',    
'axe_suggestedMax' => 'Valeur maximum de l\'axe (automatique si non renseignée)',    
'axe_maxTicksLimit' => 'Nombre maximal de graduations sur l\'axe (automatique si non renseigné)',
'axe_ticks_display' => 'Afficher les libellés sur l\'axe',
'style_series' => 'Style des séries de données',
'serie' => 'Série',
'categoryPercentage' => 'Largeur des barres (en %)',
'barPercentage' => 'Espace entre les barres (en %)',
'opacite' => 'Opacité de l\'aire sous les lignes, des colonnes, des barres, etc. (en pourcentage de 0 à 100)',    
'opacite_defaut' => 'Opacité de l\'aire sous les lignes par défaut (en pourcentage de 0 à 100)',    
'point_style' => 'Style des points',
'point_style_defaut' => 'Style des points par défaut',
'circle' => 'Rond',
'triangle' => 'Triangle',
'rect' => 'Carré',
'rectRounded' => 'Carré aux angles arrondis',
'rectRot' => 'Carré avec rotation de 45 degrés',
'cross' => 'Croix',
'crossRot' => 'Croix avec rotation de 45 degrés',
'star' => 'Etoile à 8 branches',
'line' => 'Tiret',
'dash' => 'Tiret en pointillé',
'point_radius' => 'Largeur des points',
'point_radius_defaut' => 'Largeur des points par défaut',
'info_prerenseigner_config' => 'Pré renseigner la configuration (facultatif)',    
'prerenseigner_config' => 'Pré renseigner la configuration à partir de celle d\'un graphique existant (facultatif)',    
'couleur_series_defaut' => 'Couleurs par défaut des séries de données :',    
'download_csv' => 'Permettre de télécharger (sur le site public) les données des graphiques aux formats CSV et XLS',
'divers' => 'Divers',    
'circumference' => 'Afficher le graphique dans un demi cercle',
'rotation' => 'Angle du premier secteur en degrés (de 0 à 360)',
'month' => 'mois',    
'day' => 'jour',    
'hour' => 'heure',    
'minute' => 'minute',    
'import_auto_active' => 'Activer l\'importation automatique',
'import_auto_url' => 'Adresse des données au format CSV ou XLSX (Excel 2007 et supérieur)',
'import_auto_date_premier' => 'A partir de la date',
'import_auto_date_dernier' => 'La dernière importation a été effectuée le ',
'import_auto_delai' => 'Délai entre deux importations',
'import_auto_delai_unite' => '',
'importer_maintenant' => 'Importer maintenant',
'type_graphique_par_defaut' => 'Type de graphique par défaut',    
'tableau_du_graphique' => 'Afficher le tableau du graphique (via le bouton "Voir la version texte")',    
'type_graphique_absent' => 'Il manque le type de graphique (étape 1)',    
'titre_graphique_absent' => 'Il manque le titre du graphique (étape 2)',    
'arrondi' => 'Nombre de décimales pour l\'unité lors de l\'affichage au survol',
'moyenne_ordre' => 'Courbe de tendance : nombre de valeurs pour calculer la moyenne mobile (un nombre élevé lisse davantage la courbe)',
'imposer_ratio_comme_maximum' => 'Imposer ce ratio comme un maximum',
'lineborderwidth_defaut' => 'Epaisseur des lignes par défaut',    
'lineborderwidth' => 'Epaisseur des lignes',    
'lineborderdash' => 'Lignes en pointillé',    
'showline' => 'Afficher la ligne (sinon seuls les points seront affichés)',    
'largeur_pourcentage' => 'Largeur (en pourcentage de la largeur par défaut)',    
'style_graphique' => 'Style du graphique',
'defaultfontcolor' => 'Couleur des textes',
'xAxes_gridLines_color' => 'Couleur des lignes verticales du quadrillage',
'yAxes_gridLines_color' => 'Couleur des lignes horizontales du quadrillage',
'defautfontweight' => 'Epaisseur des caractères par défaut',
'title_fontweight' => 'Epaisseur des caractères du titre',
'title_fontsize' => 'Taille des caractères du titre',
'legend_fontweight' => 'Epaisseur des caractères de la légende',
'legend_fontsize' => 'Taille des caractères de la légende',
'xaxeslabel_fontsize' => 'Taille des caractères du titre de l\'axe horizontal',
'xaxesticks_fontsize' => 'Taille des caractères des étiquettes de l\'axe horizontal',
'yaxeslabel_fontsize' => 'Taille des caractères du titre de l\'axe vertical',
'yaxesticks_fontsize' => 'Taille des caractères des étiquettes de l\'axe vertical',
'tooltips_titlefontsize' => 'Taille des caractères du titre de la bulle au survol',
'tooltips_bodyfontsize' => 'Taille des caractères du texte de la bulle au survol',
'ci_xaxes_showlastlabel' => 'Forcer l\'affichage de la dernière étiquette de l\'axe horizontal',
'ci_xaxes_lastlabelfontsize' => 'Pour les graphiques de type ligne uniquement, si son affichage est forcé, taille des caractères de la dernière étiquette de l\'axe horizontal',
'aucun_point' => 'Aucun point',
'aucun_pointille' => 'Aucune',
'largeur_pointille' => 'Largeur',
'moyenne_mobile' => 'Courbe de tendance',
'par_defaut' => '(par défaut)',

'widget_chiffre_titre' => 'Chiffre',
'widget_chiffre_descriptif' => 'Pour ajouter un chiffre (en grand) et son descriptif',
'widget_chiffre_explication' => 'Affiche sur deux colonnes, un chiffre (avec son unité en dessous) en grand et son descriptif.',
'chiffre_info_titre' => 'Chiffre',
'chiffre_info_unite' => 'Unité',
'chiffre_info_descriptif' => 'Descriptif',
'chiffre_info_zoom' => 'Augmenter ou réduire la taille d\'affichage du chiffre',
'unite_info_zoom' => 'Augmenter ou réduire la taille d\'affichage de l\'unité',
'chiffre_chiffre' => 'Chiffre',
'chiffre_unite' => 'Unité',
'chiffre_descriptif' => 'Descriptif',
    
'info_codewp' => '<b>Code abrégé pour WordPress</b> [Obligatoire]',
'widget_slideshare_titre' => 'Slideshare',
'widget_slideshare_descriptif' => 'Pour ajouter une présentation stockée sur le site fr.slideshare.net',
'widget_slideshare_explication' => 'Comment trouver le code abrégé pour WordPress ( par <b>exemple : [slideshare id=123395513&doc=181116entpe-enrrdcf-181119101455]</b> ) :'
    . '<br>- Afficher dans votre navigateur la page de la présentation que vous souhaitez (sur le site fr.slideshare.net).'
    . '<br>- Cliquez sur le bouton <b>Partager</b> affiché en dessous de la présentation.'
    . '<br>- Dans la page qui s\'affiche, cliquez sur "Code abrégé pour WordPress".'
    . '<br>- Faire un clic droit puis cliquez sur "Copier".'
    . '<br>- Coller ensuite ce code dans le champ "Code abrégé pour WordPress" du présent formulaire.'
    . '<br><br>Remarques :'
    . '<br>- Il est indispensable de renseigner le titre pour retrouver ce widget.'
    . ' Le champ description est facultatif. A noter que les champs titre et description ne seront pas affichés sur le site public.'
    . '<br>- Après avoir cliqué sur le bouton Enregistrer, ce nouveau widget figure dans la liste des widgets attachés à l\'article. Il est possible de le modifier, etc.'
    . '<br>- Dans la page de modification de l\'article, les raccourcis &lt;widget_slideshare...|left&gt;, &lt;widget_slideshare...|center&gt; et &lt;widget_slideshare...|right&gt; sont alors proposés.'
    . ' Cliquer dans le texte de l\'article à l\'endroit où l\'on veut insérer le widget puis effectuer un double clic par exemple sur le raccourci &lt;widget_slideshare...|center&gt; (il est également possible de copier / coller le raccourci).',
    
'info_ratio' => 'Ratio',
'ratio_4_3' => '4/3 (le plus courant)',
'ratio_16_9' => '16/9',
'info_dimensions' => 'Dimensions',
    
'config_titre' => 'Configurer les widgets',
'config_statut' => 'Désactiver certains widgets',
'config_commun' => 'Configuration générale des widgets',
'config_tweet' => 'Configurer les Tweets',
'config_twitter' => 'Configurer les fils d\'information de Twitter',
'config_infographie' => 'Configurer les infographies',
'config_slideshare' => 'Configurer Slideshare',
'config_chiffre' => 'Configurer le chiffre',
'config_video' => 'Configurer les vidéos',
'config_videodistante' => 'Configurer les vidéos distantes',
'config_videoterra' => 'Configurer les vidéos de Terra',
'config_dailymotion' => 'Configurer les vidéos de Dailymotion',
'config_youtube' => 'Configurer les vidéos de Youtube',
'config_streamhls' => 'Configurer les vidéos en streaming HLS',
'config_rgpd' => 'Configurer le consentement préalable (RGPD)',

'largeur_min'=>'Largeur minimale',
'largeur_max'=>'Largeur maximale',
'hauteur_min'=>'Hauteur minimale',
'hauteur_max'=>'Hauteur maximale',
'debit_video_max'=>'Débit maximal pour les vidéos (en kb/s)',
'video_num_skin'=>'Skin pour le lecteur vidéo',
'mp4'=>'Autoriser les vidéos au format mp4',
'webm'=>'Autoriser les vidéos au format webm',
'ogv'=>'Autoriser les vidéos au format ogv',
'mp3'=>'Autoriser les fichiers audio au format mp3',
'wav'=>'Autoriser les fichiers audio au format wav',
'ogg'=>'Autoriser les fichiers audio au format ogg',

'video_num_skin_1'=>'Skin 1',
'video_num_skin_2'=>'Skin 2',
'video_num_skin_3'=>'Skin 3',

'largeur_defaut'=>'Largeur par défaut',
'hauteur_defaut'=>'Hauteur par défaut',
'largeur_non_modifiable'=>'Imposer la largeur',
'hauteur_non_modifiable'=>'Imposer la hauteur',
'tarteaucitron'=>'Demander le consentement préalable (RGPD)',

'statut' => 'Statut',
'statut_active' => 'Actif',
'statut_masque' => 'Actif mais on ne peut pas en ajouter de nouveau',
'statut_desactive' => 'Désactivé',

'exporter_explication' => '(1) Il est possible d\'exporter la configuration des widgets dans un fichier (_config_ciwidget.php) à déposer dans le dossier /config/ d\'un autre site afin de lui imposer cette configuration'
    . ' (ou bien dans le dossier du widget /ciwidget/ sachant que si le fichier est présent dans les deux dossiers, celui présent dans /config/ est prioritaire).'
    . ' Une autre solution consiste à copier le contenu du fichier _config_ciwidget.php dans le fichier /config/mes_options.php de SPIP.',
'exporter'=>'Exporter',
'lancer_export'=>'Lancer l\'exportation',
    
'distant_non_autorise' => 'Le téléversement est autorisé dans ce widget, mais pas un document distant',
'upload_non_autorise' => 'Un document distant est autorisé dans ce widget, mais pas le téléversement',

'dailymotion_api_dailymotion' => 'Importer automatiquement le titre, le descriptif, la durée et les crédits de la vidéo (Attention : ceci nécessite que l\'hébergeur autorise SPIP à interroger le site https://api.dailymotion.com)',    
'dailymotion_api_dailymotion_info' => 'Le titre, le descriptif, la durée et les crédits de la vidéo seront importés automatiquement.',    
'dailymotion_titre_iframe' => 'Vidéo Dailymotion',
'youtube_titre_iframe' => 'Vidéo Youtube',
'videoterra_titre_iframe' => 'Vidéo Terra',
'slideshare_titre_iframe' => 'Présentation Slideshare',
'linkedin_titre_iframe' => 'Linkedin',
    
'obligatoire' => '[Obligatoire]',

'background-color' => 'Couleur de fond (background-color)',
'background-colorhover' => 'Couleur de fond au survol (background-color hover)',
'background-colorhexa' => 'Couleur de fond (background-color)',
'background-colorhexahover' => 'Couleur de fond au survol (background-color hover)',
'font-family' => 'Police de caractères (font-family)',
'font-size' => 'Taille des caractères (font-size)',
'line-height' => 'Hauteur de ligne (line-height)',
'font-weight' => 'Epaisseur des caractères (font-weight)',
'height' => 'Hauteur (height)',
'text-align' => 'Alignement du texte (text-align)',

'color' => 'Couleur (color)',
'colorhexa' => 'Couleur (color)',
'border-style' => 'Bordure : style (border-style)',
'border-color' => 'Bordure : couleur (border-color)',
'border-colorhexa' => 'Bordure : couleur (border-color)',
'border-radius' => 'Bordure : radius (border-radius)',
'border-width' => 'Bordure : largeur (border-width)',
'margin-top' => 'Marge en haut (margin-top)',
'margin-bottom' => 'Marge en bas (margin-bottom)',
'padding' => 'Marge interne (padding)',
'padding-top' => 'Marge interne en haut (padding-top)',
'padding-bottom' => 'Marge interne en bas (padding-bottom)',
'padding-right' => 'Marge interne à droite (padding-right)',
'padding-left' => 'Marge interne à gauche (padding-left)',
'width' => 'Largeur (width)',
'max-width' => 'Largeur maximale (max-width)',

'niveau_titre' => 'Niveau de titre',
    
'widget_sitereference_titre' => 'Site référencé',
'widget_sitereference_descriptif' => 'Pour insérer un site référencé',
'widget_sitereference_explication' => 'Dans la liste déroulante figurent les sites référencés qui sont publiés.'
    . '<br><br>Remarques :'
    . '<br>- Seuls les administrateurs et les administrateurs restreints peuvent publier un site référencé.'
    . '<br>- Pour créer un site référencé, il convient de se placer (dans l\'espace privé) dans la page d\'une rubrique et de cliquer sur le bouton "Référencer un site".',
'widget_sitereference_aucun_site' => 'Il n\'y a aucun site référencé publié',
'config_sitereference' => 'Configurer les sites référencés',    
'id_syndic' => '<b>Site référencé</b> [Obligatoire]',    
'affiche_descriptif' => 'Afficher le descriptif', 
'titre_lien' => 'Titre du lien',
'titre_lien1' => 'Accéder au site',
'titre_lien2' => 'Accéder au service en ligne',
'titre_lien3' => 'Découvrez le téléservice',
'nouvelle_fenetre' => '(nouvelle fenêtre)',
'config_info_bloc' => 'Bloc',
'config_info_titre' => 'Titre du bloc',
'config_info_titreitem' => 'Titre des items (le cas échéant)',
'config_info_separateur' => 'Séparateur',
'config_info_descriptif' => 'Descriptif',
'config_info_source' => 'Mention du site source et de la date',
'config_info_lien' => 'Lien',
'sitereference_bloc' => 'Bloc',
'sitereference_titre' => 'Titre du bloc',
'sitereference_separateur' => 'Séparateur',
'sitereference_descriptif' => 'Descriptif',
'sitereference_lien' => 'Lien',

'widget_rss_titre' => 'RSS (articles d\'un autre site par syndication)',
'widget_rss_descriptif' => 'Pour insérer le flux RSS d’un site référencé',
'widget_rss_explication' => 'Dans la liste déroulante figurent les sites référencés avec syndication et publiés.'
    . '<br><br>Remarques :'
    . '<br>- Seuls les administrateurs et les administrateurs restreints peuvent publier un site référencé.'
    . '<br>- Pour créer un site référencé, il convient de se placer (dans l\'espace privé) dans la page d\'une rubrique et de cliquer sur le bouton "Référencer un site".',
'widget_rss_aucun_site' => 'Il n\'y a aucun site référencé avec syndication et publié',
'nb_article' => 'Nombre d\'articles',
'affiche_date_article' => 'Afficher la date des articles',    
'config_rss' => 'Configurer RSS',    
'nb_article_defaut' => 'Nombre d\'articles par défaut',
'affiche_descriptif_defaut' => 'Afficher le descriptif par défaut', 
'affiche_date_article_defaut' => 'Afficher la date des articles par défaut',    
'forme' => 'Forme',    
'rss_forme1' => 'Un seul bloc',
'rss_forme2' => 'Un bloc par article syndiqué',    
'publie' => 'Publié',    
'le' => 'le',    
'publie_le' => 'publié le',    
'site_source' => 'sur le site',    
'rss_bloc' => 'Bloc',
'rss_titre' => 'Titre du bloc',
'rss_titreitem' => 'Titre des items (le cas échéant)',
'rss_separateur' => 'Séparateur',
'rss_descriptif' => 'Descriptif',
'rss_source' => 'Mention du site source et de la date',
    
'exporter_config' => 'Exporter la configuration',
'importer_config' => 'Importer une configuration',
'info_import_config' => 'Vous avez la possibilité d\'importer une configuration exportée d\'un autre site (le fichier est intitulé ciwidget_config.txt) afin d\'éviter de la créer manuellement.<div class="notice">ATTENTION : Importer une configuration supprime la configuration existante. Aussi, il est recommandé de faire d\'abord une sauvegarde de la configuration existante en l\'exportant.</div>',
'bouton_import_config' => 'Importer ce fichier de configuration',
'traitement_termine' => 'Traitement terminé<br><br>Liste des éléments importés :',
'traitement_echec' => 'ECHEC de l\'importation<br><br>Liste des erreurs :',    
'televerser_config' => 'Téléversement du fichier de configuration',
'config_a_importer' => 'Configuration à importer',
'erreur_format_txt' => 'Le fichier doit avoir le format txt',

'config_couleur_titre' => 'Choisir une palette de couleurs',
    
'choix_export_couleur' => 'Palette de couleurs',

'item_export_txt' => 'Export normal (dans un fichier texte qui peut être importé dans un autre site)',
'item_export_php' => 'Export spécifique (dans un fichier PHP à déposer dans le dossier /config/ d\'un autre site afin de lui imposer cette configuration)(1)',

'choix_export' => 'Contenu à exporter',
'type_export' => 'Type d\'exportation',
    
'config_imposee' => '(configuration imposée)',    
    
'widget_linkedin_titre' => 'Linkedin (post)',
'widget_linkedin_descriptif' => 'Pour ajouter un post de Linkedin',
'info_code_linkedin' => '<b>Code de Linkedin</b> [Obligatoire]<br>(cf. lien "Afficher les explications")',
'widget_linkedin_explication' => 'Comment trouver le code d\'intégration d\'un post de Linkedin, par exemple :<br><b>&lt;iframe src="https://www.linkedin.com/embed/feed/update/urn:li:share:6714170839597649920" allowfullscreen="" title="Post intégré" width="504" height="773" frameborder="0" &gt;&lt;/iframe&gt;</b>'
    . '<br><br>Avec le navigateur <b>Chrome (et pas Firefox)</b>, s\'identifier sur le site www.linkedin.com (cela nécessite d\'avoir un compte sur le site).'
    . '<br>Chercher, sur le site www.linkedin.com, le post souhaité.'
    . '<br>Cliquer, en haut à droite du post, sur les 3 points de suspension (...).'
    . '<br>Ensuite cliquer sur "Intégrer ce post".'
    . '<br>Puis cliquer sur le bouton "Copier ce code".'
    . '<br>Coller ensuite ce code dans le champ code du présent formulaire.'
    . '<br><br>Remarques :'
    . '<br>- Il est indispensable de renseigner le titre pour retrouver ce widget.'
    . '<br>- Après avoir cliqué sur le bouton Enregistrer, ce nouveau widget figure dans la liste des widgets attachés à l\'article. Il est possible de le modifier, etc.'
    . '<br>- Dans la page de modification de l\'article, les raccourcis &lt;widget_linkedin...|left&gt;, &lt;widget_linkedin...|center&gt; et &lt;widget_linkedin...|right&gt; sont alors proposés.'
    . ' Cliquer dans le texte de l\'article à l\'endroit où l\'on veut insérer le widget puis effectuer un double clic par exemple sur le raccourci &lt;widget_linkedin...|center&gt; (il est également possible de copier / coller le raccourci).',
    
'config_linkedin' => 'Configurer Linkedin',
'largeur' => 'Largeur en pixels',
'augmenter_hauteur' => 'Augmenter la hauteur en pixels (le cas échéant)',

'imposer_alignement_widget' => 'Imposer la position du widget',    

'config_nouveautes_notice' => 'Nouveauté : Pour désactiver, si nécessaire, un ou plusieurs widgets, cliquer sur le lien "Désactiver certains widgets".',
'config_statut_notice' => 'ATTENTION : Un widget désactivé ne figure plus dans les pages du site, ni dans la liste pour ajouter un widget.',
'config_statut_citrace' => 'Un fichier de trace enregistre les désactivations de widget.',
'config_statut_info' => 'Certains widgets ne sont pas désactivables.',

'icone_reinitialiser' => 'Réinitialiser avec les valeurs par défaut',

'config_rgpd_notice' => 'Lorsque le RGPD est activé pour un widget, un consentement préalable sera demandé au visiteur la première fois qu\'il consulte une page contenant le widget.',
'config_rgpd_citrace' => 'Un fichier de trace enregistre les activations et désactivations de RGPD.',

'choix_export_rgpd' => 'Configurer le consentement préalable (RGPD)',

'widget_audio_titre' => 'Audio',
'widget_audio_descriptif' => 'Pour téléverser un fichier audio',
'widget_audio_format' => 'Formats autorisés pour les fichiers audio : @format_audio_autorise@',  
'erreur_format_audio' => 'Les formats autorisés pour les fichiers audio sont : @format_audio_autorise@.',
'widget_audio_telecharger' => 'Télécharger le fichier audio',
'widget_audio_copier' => 'Copier l\'adresse du fichier audio',    
'widget_audio_copier_msg' => 'L\'adresse du fichier audio a été copiée dans le presse papier.',

'ajouter_fichier_depuis_ordinateur'=>'Ajouter un fichier depuis mon ordinateur',    
'ajouter_fichier_autre_site'=>'Ajouter un fichier d\'un autre site web',    
'adresse_fichier' => 'Adresse du fichier',
  
'widget_tableau' => 'Tableau',
'widget_tableau_titre' => 'Tableau',
'widget_tableau_descriptif' => 'Pour insérer un tableau',
'widget_tableau_explication' => 'Il est possible de :'
    . '<br>- Copier les données du tableau ouvert dans votre tableur (Excel, LibreOffice, etc.). Ensuite, cliquer dans la <b>première case</b> du tableau (A1) puis coller les données (utiliser le menu Edition / Coller du navigateur OU BIEN presser en même temps les touches Ctrl et V).'
    . '<br>- Saisir les données dans le tableau.'
    . '<br>- Modifier les données du tableau.'
    . '<br>- Importer des données en cliquant sur "Importer".'
    . '<br><br>Dans le tableau :'
    . '<br>- Un clic droit, sur un en-tête de colonne, affiche le menu contextuel qui permet d\'ajouter ou de supprimer une colonne.'
    . '<br>- Un clic droit, sur une ligne, affiche le menu contextuel qui permet d\'ajouter ou de supprimer une ligne.'
    . '<br>- Il est possible de modifier la largeur d\'une colonne comme dans un tableur (toutefois cela ne sera pas pris en compte sur le site public, etc.).'
    . '<br>- Lors de la saisie dans une cellule, pour effectuer un retour à la ligne, appuyer simultanément sur les touches ALT et ENTREE.',
'widget_tableau_info' => 'Vous pouvez saisir ou modifier le tableau, <b>copier / coller</b> depuis un tableur (Excel, LibreOffice, etc.), <b>importer</b> en cliquant sur "Importer" ci-dessus, utiliser le <b>clic droit</b>. Pour en savoir plus, cliquez sur "<b>Afficher les explications</b>" ci-dessus.',

'widget_tableau_form4' => 'Importer un fichier au format CSV ou XLSX (Excel 2007 et plus)',
'widget_tableau_explication_form4' => 'Formats de fichier acceptés : CSV ou XLSX (Excel 2007 et plus).'
    . '<br>Si l\'importation d\'un fichier CSV ne donne pas satisfaction, une solution consiste à convertir le fichier CSV au format XLSX, puis à importer le fichier XLSX.',

'widget_tableau_form5' => 'Importer les données depuis une adresse (format CSV ou XLSX)',
'widget_tableau_explication_form5' => 'L\'adresse peut être :<br>- celle d\'un fichier au format CSV ou XLSX (Excel 2007 et plus) <br>- ou bien celle d\'une page qui génère un fichier (dans ce cas le type MIME doit correspondre au format CSV ou XLSX).',
    
'widget_tableau_form6' => 'Importer automatiquement à une fréquence choisie (format CSV ou XLSX)',
'widget_tableau_explication_form6' => 'L\'adresse peut être :<br>- celle d\'un fichier au format CSV ou XLSX (Excel 2007 et plus)<br>- ou bien celle d\'une page qui génère un fichier (dans ce cas le type MIME doit correspondre au format CSV ou XLSX).'
    . '<br><br>Lors de la création de l\'import automatique, il convient (le cas échéant) de cocher la case "Oui" de "Importer maintenant".'
    . '<br><br><b>Attention</b> : Pour éviter un temps d\'attente trop long pour l\'utilisateur (qui consulte le tableau sur le site public) et pour pallier au cas où l\'appel de l\'adresse échoue, l\'interrogation de l\'adresse est effectuée après le calcul du tableau. Le tableau sera donc mis à jour après le délai entre deux importations, plus le temps réel passé par l\'article dans le cache (par défaut, la durée de mise en cache d\'un article est de 24 heures).',

'widget_gis_titre' => 'Carte simple (GIS)',
'widget_gis_descriptif' => 'Pour ajouter une carte simple',
'widget_gis_explication' => '<b>Comment créer une carte simple et centrée</b>'
    . '<br>Si l’on souhaite, par exemple, afficher la carte d\'une implantation d\'un organisme, il convient de procéder de la manière suivante :'
    . '<br>a) Centrer la carte'
    . '<br>b) Choisir le niveau de zoom'
    . '<br>c) Renseigner le titre'
    . '<br>d) Cliquer sur le bouton [Enregistrer]'
    . '<br>e) Insérer le raccourci <widget_gis...> dans le texte de l\'article et prévisualiser l\'article (ou le publier).'
    . '<br><br><b>Comment afficher plusieurs points sur une carte</b>'
    . '<br>Si l\'on souhaite, par exemple, localiser des opérations d\'aménagement, localiser les projets de l\'année sur un thème précis, localiser des événements qui se déroulent pendant une campagne d\'information, il est possible de procéder de la manière suivante :'
    . '<br>a) Dans chaque article concerné, créer un ou plusieurs points géolocalisés' 
    . '<br>Dans l\'espace privé de SPIP, se placer sur la page d\'un article concerné et cliquer sur le lien [Ajouter un point géolocalisé]'
    . '<br>Cliquer ensuite sur le lien [Créer et associer un point géolocalisé]'
    . '<br>Un formulaire s\'affiche.'
    . '<br>Il convient de centrer la carte : '
    . '<br>- positionner la souris sur le point souhaité de la carte puis cliquer. La latitude et la longitude sont alors automatiquement renseignées dans le formulaire. Pour se déplacer dans la carte, positionner la souris sur la carte puis déplacer la souris en maintenant le clic enfoncé.'
    . '<br>- une autre solution consiste à saisir directement la latitude et la longitude.'
    . '<br>Choisir le niveau de zoom en utilisant les boutons + et - situé en haut à gauche dans la carte. Le nouveau niveau de zoom est alors automatiquement renseigné dans le formulaire.'
    . '<br>Cliquer ensuite sur le bouton [Enregistrer].'
    . '<br>Le point géolocalisé s\'affiche alors dans la page de l\'article dans l\'espace privé.'
    . '<br>Remarque : Le menu [Edition] / [Points géolocalisés] permet d\'afficher la liste des points géolocalisés de tous les articles (sur une carte ou sous forme de liste).'
    . '<br><br>b) Affecter le même mot-clé à chaque article concerné. Le cas échéant, créer ce mot-clé.'
    . '<br><br>c) Créer un article pour afficher la carte et enregistrer l\'article'
    . '<br>d) Cliquer sur le bouton [Ajouter un widget] puis cliquer sur "Carte simple (GIS)"'
    . '<br>e) Centrer la carte'
    . '<br>f) Choisir le niveau de zoom'
    . '<br>g) Sélectionner dans le formulaire "Afficher sur la carte le(s) point(s) lié(s) … aux articles qui ont le mot-clé dont le numéro est ...", puis saisir le numéro du mot-clé.'
    . '<br>h) Cliquer sur le bouton [Enregistrer]'
    . '<br>i) Insérer le raccourci <widget_gis...> dans le texte de l\'article et prévisualiser l\'article (ou le publier).'
    . '<br><br><b>Cartes complexes</b>'
    . '<br>Le présent formulaire permet d\'ajouter des cartes simples. Pour ajouter une carte complexe, il convient d\'utiliser directement les possibilités du plugin GIS.',

'gis_rechercher_adresse' => 'Rechercher une adresse (exemple : 3 rue Corneille, 44000 Nantes)',    
'gis_centrer_rechercher_adresse' => 'Centrer la carte sur une adresse',    
'gis_centrer_souris'=>'Centrer la carte avec la souris',
'gis_centrer_souris_info'=>'Une solution consiste à positionner la souris sur le point souhaité de la carte puis à cliquer. La latitude et la longitude sont alors automatiquement renseignées dans le formulaire. Pour se déplacer dans la carte, positionner la souris sur la carte puis déplacer la souris en maintenant le clic enfoncé.',
'gis_centrer_saisie' => 'Centrer la carte en renseignant la latitude et la longitude',
'gis_ou_bien' => 'ou bien : ',
'gis_zoom' => 'Zoom',
'gis_zoom_info' => 'Pour choisir le zoom, cliquer sur les boutons + et - de la carte. Le zoom sera alors automatiquement renseigné dans le formulaire. Ou bien renseigner manuellement le zoom.',
'gis_points_a_afficher' => 'Point(s) à afficher sur la carte',
'gis_divers' => 'Autres informations',
'gis_typecarte' => 'Afficher sur la carte le(s) point(s) lié(s)',
'gis_typecarte_point_libre' => 'à la latitude et la longitude (renseignées ci-dessus)',
'gis_typecarte_objet' => 'au présent objet (article ou rubrique)',
'gis_typecarte_articles_mot' => 'aux articles qui ont le mot-clé dont le numéro est …',
'gis_typecarte_articles_rubrique' => 'aux articles qui sont dans la rubrique dont le numéro est …',
'gis_typecarte_articles_branche' => 'aux articles qui sont dans la branche dont le numéro est …',
'gis_typecarte_articles' => 'aux articles qui sont dans le site',
'gis_numero_mot_rubrique' => 'Saisie du numéro du mot-clé ou de la rubrique (le cas échéant)',
'gis_titre_carte_defaut' => 'Nouvelle carte',
'gis_info_largeur_pourcentage' => '<b>Largeur</b> maximale en <b>pourcentage</b> [Obligatoire]',
'gis_info_fondcarte' => 'Fond de carte',
'gis_fondcarte_plan' => 'Plan',
'gis_fondcarte_photo' => 'Photo',
'gis_fondcarte_choix' => 'Au choix',
'gis_typecarte_info' => '<b>Facultatif</b> pour une carte simple.<br>Pour en savoir plus, cliquez sur le lien "Afficher les explications", situé avant la carte.',

'twitter_notice' => 'Suite à une évolution de Twitter de juillet 2023, selon le compte Twitter et selon que le visiteur du site s\'est préalablement authentifié ou non sur Twitter, le fil d\'information peut afficher le message "Rien à voir ici. Pour le moment." ou peut afficher les tweets dans le désordre en présentant en premier des tweets très anciens.',

'widget_iframe_titre' => 'Iframe',
'info_code_iframe' => '<b>Code HTML de l\'iframe ou bien son adresse</b> (cf. "Afficher les explications") [Obligatoire]', 
'affichertitreetdesc' => 'Afficher le titre et la description', 
'conserverleratio' => 'Maintenir le ratio hauteur/largeur (y compris sur les écrans de faible largeur)',    
'autoriserfullscreen' => 'Autoriser le mode plein écran',
'iframe_titre' => 'Iframe',
'iframe_notice' => 'Sans connaissance préalable de la notion d’iframe, il est déconseillé d’utiliser ce widget.<br>Il est recommandé de cliquer sur "<b>Afficher les explications</b>".',
'config_iframe' => 'Configurer les iframes',
'masquer_bordure' => 'Masquer la bordure', 
'limiter_hosts' => ' Limiter les hosts des iframes à la liste suivante (à noter que les adresses relatives sont toujours autorisées)',
'hosts_liste' => 'Liste de hosts (et/ou de fins de host précédées d\'un point) séparés par une virgule (exemple : www.test.aaaa.fr, .bbbb.fr, .cccc.net)',    
'host_interdit' => 'Adresse non autorisée (par la configuration)',
'host_widget_dailymotion' => 'Pour cette adresse, utiliser le widget Dailymotion',
'host_widget_youtube' => 'Pour cette adresse, utiliser le widget Youtube',
'host_widget_streamhls' => 'Pour cette adresse, utiliser le widget StreamHLS',
'host_widget_slideshare' => 'Pour cette adresse, utiliser le widget Slideshare',
'host_widget_terra' => 'Pour cette adresse, utiliser le widget Terra',
'widget_iframe_explication' => '
On peut renseigner :
<br>- L\'adresse absolue (ou relative) de l\'iframe.    
<br>- Ou bien le code HTML de l\'iframe.
<br>- Ou bien un code HTML avec une seule iframe dans un seul div qui a un padding en pourcentage (par exemple, le code d\'intégration fourni par le site canva.com). Dans ce cas, le style du div est utilisé (et la hauteur renseignée n\'est pas utilisée).
<br><br>La <b>hauteur doit être suffisante</b> pour qu\'il n\'y ait pas de barre de défilement vertical (pour l\'accessibilité), y compris sur un écran de faible largeur.
<br>La largeur doit être suffisante pour qu\'il n\'y ait pas de barre de défilement horizontal (pour l\'accessibilité), y compris sur un écran de faible largeur. Si ce n\'est pas possible, il convient de ne pas utiliser une iframe.
<br><br>Si le contenu de l\'iframe a toujours le même ratio (par exemple 4:3, 16:9, etc.), il convient de cocher "Oui" dans "Maintenir le ratio hauteur/largeur (y compris sur les écrans de faible largeur)".
<br><br>Remarques : 
<br>- Certains sites empêchent d\'afficher leurs pages dans une iframe. Dans ce cas un message d\'erreur sera affiché.
<br>- Pour Dailymotion, ..., utilisez impérativement les widgets dédiés.', 

    
'element' => 'Elément',
'style' => 'Style :',    
'titre_niveau_titre' => 'Niveau de titre du bloc',
'titreitem_niveau_titre' => 'Niveau de titre des items (le cas échéant)',
    

'widget_citation_titre' => 'Citation',
'widget_citation_descriptif' => 'Pour ajouter une citation',
'widget_citation_explication' => 'Affiche une citation, avec la possibilité (facultative) de préciser l\'auteur, l\'ouvrage, des détails (date, ville, édition, collection, fonction ou titre de l\'auteur), l\'adresse (si la citation reprend un texte d\'un autre site) et d\'ajouter une vignette (facultative).',
'citation_info_descriptif' => '<b>Texte de la citation</b> [Obligatoire]',
'citation_info_auteur' => 'Auteur',
'citation_info_ouvrage' => 'Ouvrage',
'citation_info_ouvrage_date' => 'Date',
'citation_info_ville' => 'Ville',
'citation_info_edition' => 'Edition',
'citation_info_collection' => 'Collection',
'citation_info_detail_auteur' => 'Fonction ou titre de l\'auteur',
'citation_info_url' => 'Adresse du site source (si la citation reprend un texte d\'un autre site)',
'citation_info_source' => 'Source de la citation (facultatif)',
'espacevidesansvignette' => 'Si pas de vignette, laisser son emplacement',
'config_citation' => 'Configurer les citations',
'citation_bloc' => 'Bloc',
'citation_figure' => 'Figure',
'citation_texte' => 'Texte de la citation',
'citation_auteur' => 'Auteur',
'citation_source' => 'Source',
'citation_ouvrage' => 'Ouvrage',
'citation_image' => 'Vignette',
'citation_icone1' => 'Icône (avant la citation)',
'citation_quote' => 'Guillemets (au début et à la fin du texte)',

'classe' => 'Classe',
'content' => 'Contenu (content)',
'affichericone' => 'Afficher l\'icône',
    
'style_texte' => 'Style du texte',
'style_bloc' => 'Style du bloc',
'style_image' => 'Style de l\'image',
'style_icone' => 'Style de l\'icône',
'style_quote' => 'Guillemets (au début et à la fin du texte)',
  
'ajoutquote' => 'Ajouter automatiquement des guillemets (au début et à la fin du texte)',    
'aucun' => 'aucun',
'quote1' => '« »',
'quote2' => '„ “',
'quote3' => '“ ”',

'widget_galerie_titre' => 'Galerie d\'images',
'widget_galerie_explication' => 'La galerie d\'image peut utiliser toutes les images de l\'article ou bien seulement certaines images, par exemple si on veut mettre plusieurs galeries dans le même article. Les images qui figurent dans le texte de l\'article ne figureront pas dans la galerie.',
'widget_galerie_explication_vignette' => '<br>La galerie peut afficher des vignettes sous l\'image principale. Si on clique sur une vignette, l\'image correspondante sera affichée comme image principale. Cela permet un accès direct.',
'widget_galerie_explication_point' => '<br>La galerie peut afficher des points sous l\'image principale. C\'est une sorte de pagination. Si on clique sur un point, l\'image correspondante sera affichée (en grand format) comme image principale.',
'images_pour_la_galerie' => 'Sélection des images pour la galerie',
'utiliser_toutes_les_images' => 'Sélectionner toutes les images de',
'utiliser_certaines_images' => 'Sélectionner certaines images de',
'info_images_toutes_ou_certaines' => 'La galerie d\'image peut utiliser toutes les images de l\'article ou bien seulement certaines images, par exemple si on veut mettre plusieurs galeries dans le même article. Les images qui figurent dans le texte de l\'article ne figureront pas dans la galerie.',
'info_images_pour_la_galerie' => 'Cochez les cases des images souhaitées :',
'info_type_galerie' => 'Type de galerie',
'type_galerie_vignette' => 'Avec les vignettes des images (sous la galerie)',
'type_galerie_point' => 'Avec des points (sous la galerie)',
'type_galerie_normal' => 'Sans vignettes, ni points',
'type_galerie_defaut' => 'Type de galerie par défaut',
'imposer_type_galerie' => 'Imposer le type de galerie',
'config_galerie' => 'Configurer les galeries d\'images',    
'afficher_image_en_grand' => 'Afficher l\'image en grand lorsque l\'on clique sur l\'image',
'galerie_galerie' => 'Galerie',
'galerie_image' => 'Image',
'galerie_fleche' => 'Flèche',
'galerie_compteur' => 'Compteur',
'galerie_vignette' => 'Vignette',
'galerie_point' => 'Point',
'vignette' => 'Vignette',
'galerie_vignettes_aria_label' => 'Sélectionner une vignette change l\'image affichée dans la galerie d\'image.',
'tri_galerie' => 'Ordre de tri des images',
'par_rang_lien' => 'Par rang (ordre dans la liste des images de l\'article dans l\'espace privé)',
'par_titre' => 'Par titre',
'par_fichier' => 'Par nom du fichier',
'par_id_document' => 'Par numéro d\'image',
'galerie_sans_image' => 'La galerie affiche les images de l\'article (sauf celles qui figurent dans le texte de l\'article).<br>Il convient d\'<b>ajouter préalablement des images à l\'article</b> (sinon la galerie n\'affichera rien).',

'widget_portrait_titre' => 'Portrait',
'widget_portrait_descriptif' => 'Pour ajouter un portrait, une biographie, un témoignage',
'widget_portrait_explication' => 'Affiche un portrait, une biographie, un témoignage avec la possibilité (facultative) de préciser la fonction de la personne, le nom de son organisme, le site web de son organisme.',
'portrait_info_descriptif' => '<b>Texte</b> [Obligatoire]',
'surtitre' => 'Surtitre',
'surtitre_niveau_titre' => 'Niveau de titre du surtitre',
'utilisersurtitre' => 'Surtitre',
'utilisersurtitre_oui' => 'Surtitre actif',
'utilisersurtitre_non' => 'Surtitre désactivé',
'utilisersurtitre_impose' => 'Imposer "Portrait" comme surtitre',
'affichericonedusurtitre' => 'Afficher l\'icône du surtitre',
'nom_niveau_titre' => 'Niveau de titre du nom',
'nom' => '<b>Nom de la personne</b> [Obligatoire]',
'fonction' => 'Fonction de la personne',
'organisation_nom' => 'Nom de son organisme',
'organisation_siteweb' => 'Site web de son organisme',
'credit_photo' => 'Crédits de la photo',
'config_portrait' => 'Configurer les portraits',
'portrait_bloc' => 'Bloc',
'portrait_contenu' => 'Contenu',
'portrait_image' => 'Photo',
'portrait_surtitre' => 'Surtitre',
'portrait_nom' => 'Nom de la personne',
'portrait_texte' => 'Texte',
'portrait_fonction' => 'Fonction de la personne',
'portrait_organisationnom' => 'Nom de son organisme',
'portrait_organisationsiteweb' => 'Site web de son organisme',
'portrait_creditphoto' => 'Crédits de la photo',
'portrait_icone1' => 'Icône (avant le surtitre)',
'label_fichier_vignette'=>'Vignette',
'aucune_vignette'=>'Aucune vignette',
'label_fichier_vignette_photo'=>'Photo',
'aucune_vignette_photo'=>'Aucune photo',
'label_fichier_vignette_image'=>'Image',
'aucune_vignette_image'=>'Aucune image',

'ne_pas_utiliser_bigup' => 'Utiliser l\'ancien formulaire de téléversement',    
'utiliser_bigup' => 'Utiliser le nouveau formulaire de téléversement',    
   
);

?>